/*--------------------------------------------------------------------------------------------------------

# NEW CSS FOR FORMS. TO CLEAN UP MAIN...

--------------------------------------------------------------------------------------------------------*/
.sv-field-title-container h3.subheading3 {
   margin-bottom: 0;
}
.sv-field-title-container br {
   display: none;
   width: 0;
}

.sv-form-orderfield table {
   border-collapse: collapse;
   width: 100%;
}

.sv-form-orderfield table tbody tr th.env-assistive-text {
   height: auto;
   width: auto;
   padding: unset;
   margin: unset;
   clip-path: unset;
   background: transparent;
   position: unset;
   
   vertical-align: left;
   text-align: left;
   font-size: 0.875em;
   padding: 1em;
   background-color: #f3f3f3;
}

.sv-form-orderfield table tbody tr:nth-child(odd) td {
   background-color: #f9f9f9;
} 

.sv-form-orderfield table tbody tr td {
   padding: 1em 0.5em;
}
.sv-form-orderfield table tbody tr td:first-child {
   padding-left: 1em;
}
.sv-form-orderfield table tbody tr td:last-child {
   padding-right: 1em;
}
.sv-form-orderfield table tbody tr td label.normal {
   font-weight: 500;
}

.sv-form-orderfield table tbody tr td p {
   margin-top: 0.25rem;
}

.sv-form-orderfield > div {
   float: none;
}

.sv-form-orderfield div:last-child {
   display: flex;
   padding: 1em;
   background-color: #f1f1f1;
   box-sizing: border-box;
  
}

.sv-form-orderfield div:last-child span.normal {
    font-weight: 600;
}

.sv-form-orderfield div:last-child span:first-child {
   flex-grow: 1;
}


/*--------------------------------------------------------------------------------------------------------

# LABELS & DESCRIPTIONS

--------------------------------------------------------------------------------------------------------*/

.sv-survey-portlet .sv-field-title-container.sv-bold label,
.sv-dbform-portlet .sv-field-title-container.sv-bold label{
   margin-top: 0;
   margin-bottom: 0.5em;
}

.sv-survey-portlet .sv-field-title-container.sv-bold + span,
.sv-dbform-portlet .sv-field-title-container.sv-bold + span{
   display: inline-block;
   margin-bottom: 0.5em;
}

.sv-survey-portlet .sv-field-title-container.sv-bold span,
.sv-dbform-portlet .sv-field-title-container.sv-bold span{
   font-size: 1.125rem;
}

/*--------------------------------------------------------------------------------------------------------

# INPUT FIELDS

--------------------------------------------------------------------------------------------------------*/

.sv-defaultFormTheme input[type=email], 
.sv-defaultFormTheme input[type=number], 
.sv-defaultFormTheme input[type=tel], 
.sv-defaultFormTheme input[type=text], 
.sv-defaultFormTheme input[type=url], 
.sv-defaultFormTheme select, 
.sv-defaultFormTheme textarea {
   background-color: var(--env-form-input-background-color);
   border-color: var(--env-form-input-border-color);
   border-radius: var(--env-form-input-border-radius);
   font-family: var(--env-form-font-family);
   font-weight: var(--env-form-label-font-weight);
   color: var(--env-form-input-font-color);
   line-height: 1.375;
   padding: .625em .75em;
   height: auto;
   box-sizing: border-box;
}

.sv-defaultFormTheme input[type=email]:focus-visible, 
.sv-defaultFormTheme input[type=number]:focus-visible, 
.sv-defaultFormTheme input[type=tel]:focus-visible, 
.sv-defaultFormTheme input[type=text]:focus-visible, 
.sv-defaultFormTheme input[type=url]:focus-visible, 
.sv-defaultFormTheme select:focus-visible, 
.sv-defaultFormTheme textarea:focus-visible {
   border-color:var(--env-form-input-border-color);
   box-shadow: 0 0 0 var(--env-focus-offset) var(--env-focus-inner-color);
    outline: var(--env-focus-size) solid var(--env-focus-outline-color);
    outline-offset: var(--env-focus-offset);
}

/*--------------------------------------------------------------------------------------------------------

# RADIOBUTTONS

--------------------------------------------------------------------------------------------------------*/

.sv-dbform-portlet .sv-form-singleselectionfield input[type="radio"] + label:before,
.sv-survey-portlet .sv-form-singleselectionfield input[type="radio"] + label:before {
   content: '';
   background-color: #fff;
   border: 1px solid #a0a0a0;
   display: inline-block;
   width: 1.125rem;
   height: 1.125rem;
   margin: -.3125rem .5rem 0 0;
   vertical-align: middle;
   cursor: pointer;
   -moz-border-radius: 50%;
   border-radius: 50%;
   box-sizing: border-box;
}

.sv-dbform-portlet .sv-form-singleselectionfield input[type="radio"],
.sv-survey-portlet .sv-form-singleselectionfield input[type="radio"] {
   display: none;
}

.sv-dbform-portlet .sv-form-singleselectionfield input[type="radio"] + label,
.sv-survey-portlet .sv-form-singleselectionfield input[type="radio"] + label {
   margin: .625rem 1.25rem .625rem 0;
   cursor: pointer;
   display: inline-block;
   position: relative;
   font-weight: 400!important;
}

.sv-dbform-portlet .sv-form-singleselectionfield input[type="radio"]:checked + label:after,
.sv-survey-portlet .sv-form-singleselectionfield input[type="radio"]:checked + label:after{
   content: "";
   background: #ED1B34;
    height: .65rem;
    width: .65rem;
    position: absolute;
    border-radius: 20px;
    left: .2rem;
    top: .33rem;
}

.sv-dbform-portlet .sv-form-singleselectionfield input[type="radio"]:checked + label:before,
.sv-survey-portlet .sv-form-singleselectionfield input[type="radio"]:checked + label:before {
   background-color: #fff;
   border: 2px solid #ED1B34;
   position: relative;
}

@media (min-width: 768px) {
   .sv-survey-portlet .sv-form-singleselectionfield > div {
      display: -webkit-box;
        display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
            align-items: center;
    width: 100%;
   }
}

/*--------------------------------------------------------------------------------------------------------

# CHECKBOXES

--------------------------------------------------------------------------------------------------------*/


.sv-survey-portlet .sv-form-multipleselectionfield input[type="checkbox"] + label:before {
   content: '';
   background-color: #fff;
   border: 1px solid #a0a0a0;
   display: inline-block;
   width: 1.125rem;
   height: 1.125rem;
   margin: -.25rem .5rem 0 0;
   vertical-align: middle;
   cursor: pointer;
   box-sizing: border-box;
}

.sv-survey-portlet .sv-form-multipleselectionfield input[type="checkbox"] {
   display: none;
}

.sv-survey-portlet .sv-form-multipleselectionfield input[type="checkbox"] + label {
   margin: .625rem 1rem .625rem 0;
   cursor: pointer;
   display: inline-block;
   position: relative;
   font-weight: 400!important;
}

.sv-survey-portlet .sv-form-multipleselectionfield input[type="checkbox"]:checked + label:before {
   background: #ED1B34;
   border: 2px solid #ED1B34;
   position: relative;
}

@media (min-width: 768px) {
   
   .sv-survey-portlet .sv-form-multipleselectionfield input[type="checkbox"] + label{
          min-width: 20%;
   }
   
   .sv-survey-portlet .sv-form-multipleselectionfield > div {
      display: -webkit-box;
        display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
            align-items: center;
    width: 100%;
    -ms-flex-flow: wrap;
        flex-flow: wrap;
   }
}

/*--------------------------------------------------------------------------------------------------------

# SELECT

--------------------------------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------------------------------

# BUTTONS

--------------------------------------------------------------------------------------------------------*/

.sv-defaultFormTheme input[type="submit"]{
   display: inline-block;
   text-align: center;
   line-height: 1;
   cursor: pointer;
   -webkit-appearance: none;
   transition: background-color 0.25s ease-out,color 0.25s ease-out;
   vertical-align: middle;
   border-radius: calc(var(--env-button-border-radius)* 1);
   min-height: 2.75em;
   padding: 0 1.3125em;
   margin: 0 0 1rem 0;
   font-family: var(--env-button-font-family);
   font-size: var(--env-font-size-medium);
   font-weight: 500;
   background-color: var(--env-element-primary-background-color);
   border-color: var(--env-element-primary-background-color);
   color: var(--env-element-primary-font-color);
}


.sv-defaultFormTheme input[type="submit"]:hover,
.sv-defaultFormTheme input[type="submit"]:focus {
	background-color: var(--env-element-secondary-background-color);
    border-color: var(--env-element-secondary-background-color);
    color: var(--env-element-secondary-font-color);
}

.sv-defaultFormTheme input[type="submit"]:focus,
.sv-defaultFormTheme input[type="submit"]:focus-visible {
    box-shadow: 0 0 0 var(--env-focus-offset) var(--env-focus-inner-color);
    outline: var(--env-focus-size) solid var(--env-focus-outline-color);
    outline-offset: var(--env-focus-offset);
}

/*--------------------------------------------------------------------------------------------------------

# Surveytabs

--------------------------------------------------------------------------------------------------------*/